跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
Token - Price by Time
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInNative": "1000",
  "priceInSol": "1000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

获取代币以 USD 和原生货币计价的当前价格。如需历史价格,请使用 /prices 端点或 GraphQL DEXTrades Cube。
相关: GraphQL DEX 交易 | MCP: token_get_price

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

An address of a token

查询参数

timestamp
integer<int64>
必填

Price timestamp (Unix epoch in seconds)

响应

200 - application/json

Get Price By Time

Token price

address
string
必填

Token address

示例:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
必填

Price in USD

示例:

"1000"

timestamp
integer<int64>
必填

Timestamp

示例:

1754055151000

priceInNative
string | null

Price in native token (alias)

示例:

"1000"

priceInSol
string | null

Price in native token

示例:

"1000"